Option Explicit
DefInt A-Z

'----------------------------------------------------------
' Standard Windows API declares
'----------------------------------------------------------

' HDC functions
Declare Function GetDC Lib "User" (ByVal hWnd%) As Integer
Declare Sub ReleaseDC Lib "User" (ByVal hWnd%, ByVal hdc%)

' Message Box function
Global Const MB_OK = 0
Global Const MB_OKCANCEL = 1
Global Const MB_ABORTRETRYIGNORE = 2
Global Const MB_YESNOCANCEL = 3
Global Const MB_YESNO = 4
Global Const MB_RETRYCANCEL = 5
Declare Function MessageBox% Lib "User" (ByVal hWnd%, ByVal Text$, ByVal Cap$, ByVal wType%)

' Font stuff
Global Const FW_DONTCARE = 0
Global Const FW_THIN = 100
Global Const FW_EXTRALIGHT = 200
Global Const FW_LIGHT = 300
Global Const FW_NORMAL = 400
Global Const FW_MEDIUM = 500
Global Const FW_SEMIBOLD = 600
Global Const FW_BOLD = 700
Global Const FW_EXTRABOLD = 800
Global Const FW_HEAVY = 900
Global Const LF_FACESIZE = 32
Type LOGFONT
  lfHeight As Integer
  lfWidth As Integer
  lfEscapement As Integer
  lfOrientation As Integer
  lfWeight As Integer
  lfItalic As String * 1
  lfUnderline As String * 1
  lfStrikeOut As String * 1
  lfCharSet As String * 1
  lfOutPrecision As String * 1
  lfClipPrecision As String * 1
  lfQuality As String * 1
  lfPitchAndFamily As String * 1
  'lfFaceName(LF_FACESIZE) As String
  lfFaceName As String * 32
End Type

' GDI
Declare Function APIGetObject% Lib "GDI" Alias "GetObject" (ByVal obj%, ByVal v%, logf As LOGFONT)
Declare Function CreateFontIndirect% Lib "GDI" (logf As LOGFONT)
Declare Function TextOut% Lib "GDI" (ByVal hdc%, ByVal x%, ByVal y%, ByVal txt$, ByVal l%)
Declare Function DeleteObject% Lib "GDI" (ByVal obj%)
Declare Function SelectObject% Lib "GDI" (ByVal hdc%, ByVal obj%)

Declare Function CreateCompatibleDC% Lib "GDI" (ByVal hdc%)
Declare Function DeleteDC% Lib "GDI" (ByVal hdc%)

Global Const SRCCOPY = &HCC0020
Declare Function BitBlt% Lib "GDI" (ByVal dhdc%, ByVal dx%, ByVal dy%, ByVal w%, ByVal h%, ByVal shdc%, ByVal sx%, ByVal sy%, ByVal rop&)

Global Const OEM_FIXED_FONT = 10
Global Const ANSI_FIXED_FONT = 11
Global Const ANSI_VAR_FONT = 12
Global Const SYSTEM_FONT = 13
Global Const DEVICE_DEFAULT_FONT = 14
Global Const DEFAULT_PALETTE = 15
Global Const SYSTEM_FIXED_FONT = 16
Declare Function GetStockObject% Lib "GDI" (ByVal style%)

Global Const LOGPIXELSX = 88
Global Const LOGPIXELSY = 90
Declare Function GetDeviceCaps% Lib "GDI" (ByVal hdc%, ByVal whichproperty%)
Declare Function MulDiv% Lib "GDI" (ByVal size%, ByVal pixels%, ByVal scaale%)


